org.apache.olingo.odata2.client.api.ep

## Class EntityCollection

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.EntityCollection

-     public class EntityCollection
      extends Object

  Data representation for a single entity.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityCollection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntity(Entity entity)` Add an Entity to collection of entities
    `EntityCollectionSerializerProperties` | `getCollectionProperties()` Return collection write properties
    `List<Entity>` | `getEntities()`
    `EntitySerializerProperties` | `getGlobalEntityProperties()`
    `void` | `setCollectionProperties(EntityCollectionSerializerProperties collectionProperties)` Set collection write properties
    `void` | `setGlobalEntityProperties(EntitySerializerProperties globalEntityProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityCollection

          public EntityCollection()

  - ### Method Detail

    - #### getGlobalEntityProperties

          public EntitySerializerProperties getGlobalEntityProperties()

      Returns:
        the globalWriteProperties

    - #### setGlobalEntityProperties

          public void setGlobalEntityProperties(EntitySerializerProperties globalEntityProperties)

      Parameters:
        `globalWriteProperties` - the globalWriteProperties to set

    - #### getEntities

          public List<Entity> getEntities()

      Returns:
        List of Entities

    - #### addEntity

          public void addEntity(Entity entity)

      Add an Entity to collection of entities
      Parameters:
        `entity` -

    - #### getCollectionProperties

          public EntityCollectionSerializerProperties getCollectionProperties()

      Return collection write properties
      Returns:
        EntityCollectionSerializerProperties

    - #### setCollectionProperties

          public void setCollectionProperties(EntityCollectionSerializerProperties collectionProperties)

      Set collection write properties
      Parameters:
        `collectionProperties` -

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.